
/* cy8cmbr31xx.h: Sony CY8CMBR3116x2 Driver.
 *
 * Copyright 2016 Sony Corporation.
 * Author: Sony Corporation.
 *
 * This package is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef __CY8CMBR3116X2__CY8CMBR3116X2_H__INCLUDED__
#define __CY8CMBR3116X2__CY8CMBR3116X2_H__INCLUDED__


#include "../cy8cmbr31xx/cy8cmbr31xx.h"


	/* 構成 */
	struct cy8cmbr3116x2_config {
		u8								count ;						/* キーコード数               */
		u32								const *p_key_code ;			/* キーコード                 */
		u8								slave[2] ;					/* スレーブアドレス           */
		u8								programFlash ;				/* プログラムフラッシュフラグ */
		struct cy8cmbr31xx_config		config[2] ;					/* 構成                       */
	} ;


#endif/*__CY8CMBR3116X2__CY8CMBR3116X2_H__INCLUDED__*/
